/*********************************************************************/
/* AUTHOR:  Evan Easton                            March 9, 1994     */
/*          email: eeaston@maroon.tc.umn.edu                         */
/* NAME: REEROOM.POV                                                 */
/* ACCESORY FILES:   OBJECTS.INC                                     */
/*                   ROOMTEXT.INC                                    */
/*                   FRACT003.GIF   (also included with POV scenes)  */
/*                   IMAGE.GIF                                       */
/*                                                                   */
/* This is a picture of a room which I have painstakenly worked on   */
/* for quite a while now.  It takes quite long to trace on my 66MHz  */
/* 486 (1024x768 with +A0.4 flag takes ~8hours).  It can be speeded  */
/* up by commenting out the area light in the lamp declaration in    */
/* the file objects.inc and uncommenting the point source.  Of       */
/* course it won't look as good then.                                */
/*    If you have any comments I'd really appreciate them,           */
/* especially where efficiency/speed is concerned.                   */
/*                                                                   */
/*********************************************************************/

#include "colors.inc"
#include "textures.inc"

/* MISCELLANEOUS DECLARATIONS */
#declare RoomAmbiance=0.08
#declare FloorAmbiance=0.35
#declare OutsideAmbiance=0.25
#declare DarkTan = color red (0.858824*0.75) green (0.576471*0.75) blue (0.439216*0.75)
#declare XYSquare=union{
   triangle{ <0,1,0>,<0,0,0>,<1,0,0> }
   triangle{ <0,1,0>,<1,0,0>,<1,1,0> }
}

#include "roomtext.inc"
#include "objects.inc"


/* PLACE OBJECTS IN SCENE */
camera{
   location <11,13,-10>
   look_at <1,11,0>
}
light_source{           // This is not the only light source.  See also
   <-1000,500,-500>     // the declaration of the lamp in objects.inc
   color Gray50
}
object{
   Table
   scale <0.8,1,0.8>
   translate<0,10,1>
}
object{
   Lamp
   translate <-2.5,10,6>
}
object{ NORTHWall }
object{ WESTWall }
object{ Ceiling  }
object{ Floor }
object{ EASTWall }
object{ Outside }
object{ 
   Globe
   translate <0,7,0>
   scale <1/2.75,1/2.75,1/2.75>
   rotate y*-37.5
   translate <-21,10,16>
}
object{
   GlobeStand
   translate <-21.2,0,16.1>
}
object{
   Picture
   scale <1/3.5,1/3.5,1/3.5>
   translate <0,15.5,19.995>
}
